SAMS 1.0.5 (30.12.2009)

Исправлено: (Подробный список исправлений доступен на странице 
http://sams.nixdev.net/milestone/sams-1.0.5):

SAMS 1.0.4 (17.11.2008)

Новый функционал:
- В web-интерфейсе по умолчанию выбирается дискретный парсер логов.
  В название аналогового парсера добавлена информация: Работает нестабильно.

Исправлено: (Подробный список исправлений доступен на странице 
http://sams.nixdev.net/milestone/sams-1.0.4):

Web-интерфейс:
- Детализация в "Список URL, полученных с" в "статистике по посещаемым сайтам" по пользователю
- PDF отчеты не учитывают политику подсчета трафика выбранную в sams 
- При просмотре списка группы пользователей внизу списка выводится суммарный трафик группы, 
  но за исключение уже отключенных пользователей группы
- Сортировка пользователей в PDF отчете всегда выполнялась по общему трафику
- Список пользователей группы содержит лишние поля в случае просмотра 
  его простым пользователем
- Невозможно удалить последнего пользователя из общего списка пользователей

Демоны:
- Лишние произвольные переводы пустых строк в консоли от демона
- Некорректная обработка демоном длинного email'а администратора.
- При IP-авторизации в конфиги всегда записывалась маска подсети 255.255.255.255
- Segmentation fault при сочетании IP-авторизации и REJIK

Пакет для Debian:
- Web-интерфейс теперь может писать в /usr/share/sams/data. Необходимо для загрузки списков доступа
  из файлов.
- Исправлено множество ошибок обнаруженных с помощью lintian.

SAMS 1.0.3 (15.07.2008)

Исправлено: (Подробный список исправлений доступен на странице 
http://sams.nixdev.net/milestone/sams-1.0.3):

- Обновлены скрипты сборки пакета для Debian

- При "реальном трафике" неправильная запись в лог
- Длинный url приводит к падению sams
- Система допускает создание двух одноимённых групп пользователей
- Доп. проверка параметров(отчёты)
- Оформление (редактор шаблонов)
- Улучшение Web-интерфейса - статистика
- Доступ в интернет круглые сутки (в шаблоне 00:00 - 23:59)
- Повторная установка пароля при ncsa-авторизации приводит к записи этого пароля в ncsa.sams открытым текстом
- Ошибка в скрипте uptime
- Не работает 'squid reconfigure', если squid.conf расположен не в каталоге по умолчанию.


SAMS 1.0.1 (27.01.2008):

  Версия 1.0.1 включает исключительно исправления незначительных ошибок
  и не содержит никакого нового функционала или значительных изменений.
  
  Также включает обновленные скрипты сборки пакета для Debian.

Исправлено: (Подробный список исправлений доступен на странице 
http://sams.nixdev.net/milestone/sams-1.0.1):

- При IP авторизации и REJIK samsdaemon выпадает в кору при реконфигурации сквида
- Учитывается трафик на хосты из группы Локальные домены
- Дерево пользователей открывается
- Пользователи не могу просмотреть статистику своей группы.
- blocked.php отображает только полный трафик

SAMS 1.0 (01.11.2007):

  Первый "официально"-стабильный релиз SAMS. В первую очередь включает
  исправление ошибок без добавления новых возможностей.

Исправлено: (Подробный список исправлений доступен на странице 
http://sams.nixdev.net/milestone/sams-1.0)

- Исправления языковых файлов и файлов messages/$LANG/blocked.php
- Merge all blocked.php files
- Сдвиг строки заголовка при просмотре пользователей в режиме пользователя
- В статистике всех пользователей или группы в процентах суммарное
  количество процентов всех пользователей не равно 100%!
- Учитывается трафик на хосты из группы Локальные домены
- Не отправляются уведомления об отключении юзеров
- В настройках шаблонов строка "Доступ к URL разрешен" записывается дважды
- При просмотре группы отсутствует поле "Активен" и происходит сдвиг данных
  влево
- При сквидовом редиректоре и основной NTLM-авторизации не работают 
  IP-пользователи
- В режиме Аудитора список ресурсов, к которым обращались пользователя
  NONE
- Недостаточная проверка параметров в просмотре статистики
- В режиме Аудитора для группы доступна только одна статистика
- Segmentation fault если последняя строка в access.log не удовлетворяет шаблону
- Отсутствие /etc/squid/ncsa.sams при авторизации NCSA
- sams пытается отключить уже отключенного пользователя

22.05.2007
Новые возможности:
- В веб интерфейсе используются имена БД прописанных в конфиге sams
- Веб интерфейс работает при настройках php: safe_mode = on. Для этого 
  требуется дополнительная настройка параметров PHP. Смотрите документацию

Обновлено:
- Добавлен init скрипт для Debian, обновлен для FreeBSD
- Добавлена поддержка https адресов в списке локальных хостов
- Обновлен код для работы с пользователями в LDAP

Исправленно:
- Работа web-интерфейса с MySQL 5.0
- Отображение login'ов пользователей в отчетах
- Ошибка реконфигурирования sams
- Ошибки в локализации
- Ошибокки в веб интерфейсе на версии php > 5.0
- Двойное экранирование регулярных выражение в веб интерфейсе
  при настройке php magic_quotes_gpc = On

17.04.2006
- Способ авторизации пользователей задается в свойствах шаблона 
  пользователей (может быть разным для шаблонов). Возможна одновременный 
  доступ пользователей по ip и ntlm (ncsa) авторизации
- Период ограничения трафика может быть задан на любое количество дней
  (задается в шаблонах пользователей)
- Построение графиков в отчетах
- Создание сводного PDF отчета о трафике пользователей
- Переписана поддержка Rejik и SquidGuard
- Стало возможножно задавать время доступа пользователей как 20.00-6.00
- Добавлено определение версии php (<5.0)
- Проверено функционирование SAMS под Sun Solaris 8,9 x86
- Доведено функционирование утилиты samsf под FreeBSD, Sun Solaris
- Добавлена кнопка выключения прокси-сервера из веб интерфейса
- Добавлена возможность переименовывать группы пользователей

07.11.2005
- Добавлена поддержка редиректора Rejik
- Переписана поддержка редиректора SquidGuard
- Добавлена возможность отправки сообщений администратору при отключении 
  пользователей при превышении трафика

02.08.2005
- Настройка SAMS разделена на 2 функциональные группы: настройка собствеено 
  web интерфейса (язык, иконки и т.д.) и настройки SAMS.
- Сделана поддержка в списках локальных доменов диапазонов ip адресов
  вида x.x.x.x/x и x.x.x.x/255.255.255.0
- Добавлена возможность нормального редактирования (без потери символов)
  URL в списках 
- Добавлена возможность получать списки пользователей из ActiveDirectory
  как из LDAP
- Добавлена возможность авторизации пользователей в WEB интерфейсе SAMS 
  в AD  
12.04.2005
- Улучшение функции безопасности web интерфейса SAMS
- Сделано ограничение по времени доступа пользователей к прокси-серверу
- Сделана поддержка регулярных выражений perl в списках перенаправления
  доступа и списках регулярных выражений 
- Добавлена функция занесение в базу пользователей из файла настройки ncsa 
  авторизации 
- Пользователи могут сменять свои пароли на доступ к статистике (ip), 
  статситике и доступ к прокси (ncsa).
- Добавлена возможность изменять имя пользователя в базе логов squid.
01.03.2005
-  Добавлен инсталлятор
-  Исправлены ошибки в web-интерфейсе
-  Форма регистрации нового пользоваателя вынесена в отдельную кнопку
   вкладки Пользователи
-  Создана форма, позволяющая одновременно отключать доступ к прокси
   серверу или удалять пользователей, выбирая их из единого списка.
07.02.2005
-  В configure добавлена возможность выбора директории скриптов автозапуска
01.02.2005
-  Исправлены ошибки в samsdaemon
-  Возвращена возможность создания списков сайтов, только доступ к которым
   и разрешен пользователю. Теперь пользователю можно задать список сайтов,
   на которые ему будет разрешено ходить. Попытки зайти на другие пресекаются. 
27.01.2005
-  В свойства пользователей SAMS добавлена пометка "Имеет право смотреть 
   статистику пользователей своей группы".  
26.01.2005
-  Добавлена поддержка смены тем иконок в веб-интерфейсе
-  Добавлен набор иконок для web интерфейса от Bumpera
16.12.2004
-  Добавлена возможность задания пользователю трафика без ограничения: 
   достаточно задать размер на ограничение трафика равным 0.
-  Исправления ошибок в web интерфейсе
-  Добавлена кнопка logoff для пользователей в web интерфейсе.
-  В web интерфейс в форму конфигурирования SAMS добавлена возможность 
   протестировать ответ PDC на запрос получения списка пользователей 

23.11.2004
-  Добавлена утилита samsf. samsf устанавливает fifo файл access.log и прокси
   сервер SQUID записывает логи в fifo файл.
-  samsdaemon переписан на Си.
-  В samsdaemon добавлена возможность автоматически запускать утилиты 
   чтения логов SQUID sams и samsf
-  В samsdaemon добавлена возможность автоматически очищать счетчики
   трафика пользователей
-  Добавлена возможность настроить перекодировку имен пользователей
   домена в национальную кодировку, используемую контроллером домена.

21.09.2004
-  Каталог по-умолчанию скриптов WEB интерфейса перенесен в
   /usr/local/share/sams
-. Переписаны скрипты WEB интерфейса.
-. Каталог с php файлами перенесен по умолчанию на /usr/local/share/sams.
-. При инсталляции автоматически из root директории http сервера создается
   симлинк (если он отсутствует) на каталог с со скриптами web интерфейса.
-. В WEB интерфейс добавлена возможность производить проверку таблиц базы
   данных на целостность и восстанавливать их.
-. Файлы с расширением *.sams теперь создаются непосредственно в каталоге,
   в котором расположен squid.conf
-. Добавлена возможность работать с PDC только с именем пользователя.
-. Добавлена возможность изменять размер букв в файлах настройки SQUID
   (DOMAIN+username и т.д.) при NTLM авторизации в зависимоти от того, как
   их выдает PDC.

-. Изменен принцип запуска переконфигурирования squid. Теперь сигнал на
   переконфигурирование samsdaemon запрашивает из базы данных.
-. Скрипты reconfigsquid и disableuser больше не используются.
